<?php
/**
 * @package n3t Fields
 * @author Pavel Poles - n3t.cz
 * @copyright (C) 2017-2022 - Pavel Poles - n3t.cz
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined('_JEXEC') or die;

use Joomla\Registry\Registry;

class JFormFieldN3tFieldsAttach extends JFormField
{

  protected $type = 'n3tfieldsattach';

  protected $layout = 'n3tfields.form.field.n3tfieldsattach';

  protected $renderLayout = 'n3tfields.form.renderfield';

  protected function getInput()
  {
    return $this->getRenderer($this->layout)->render($this->getLayoutData());
  }

  protected function getLayoutPaths()
  {
    $template = JFactory::getApplication()->getTemplate();

    return array(
      dirname(__DIR__) . '/layouts',
      JPATH_SITE . '/layouts'
    );
  }

  public function getLayoutData()
  {
    $data = parent::getLayoutData();

    JLoader::register('n3tFieldsConvertorFieldsAttach', __DIR__ . '/../helpers/convertor/fieldsattach.php');

    $convertor = new n3tFieldsConvertorFieldsAttach();

    $extraData = array(
      'installed' => $convertor->installed(),
      'fields' => $convertor->fields(),
    );

    return array_merge($data, $extraData);
  }

}