<?php
/**
 * @package n3t Gallery
 * @author Pavel Poles - n3t.cz
 * @copyright (C) 2017-2020 - Pavel Poles - n3t.cz
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined('JPATH_BASE') or die;

$installed = $displayData['installed'];
$fields = $displayData['fields'];
$value = $displayData['value'];

if (!$installed) {
?>
<div class="alert alert-error">
  <h4><?php echo JText::_('PLG_SYSTEM_N3TFIELDS_FIELDSATTACH_NOT_INSTALLED_HEADING'); ?></h4>
  <p><?php echo JText::_('PLG_SYSTEM_N3TFIELDS_FIELDSATTACH_NOT_INSTALLED'); ?></p>
</div>
<?php
} elseif (empty($fields)) {
?>
<div class="alert alert-error">
  <h4><?php echo JText::_('PLG_SYSTEM_N3TFIELDS_FIELDSATTACH_EMPTY_HEADING'); ?></h4>
  <p><?php echo JText::_('PLG_SYSTEM_N3TFIELDS_FIELDSATTACH_EMPTY'); ?></p>
</div>
<?php
} else {
?>
<table class="table table-striped table-condensed table-hover">
  <thead>
    <tr>
      <th><?php echo JText::_('PLG_SYSTEM_N3TFIELDS_FIELDSATTACH_TITLE'); ?></th>
      <th><?php echo JText::_('PLG_SYSTEM_N3TFIELDS_FIELDSATTACH_GROUP'); ?></th>
      <th><?php echo JText::_('PLG_SYSTEM_N3TFIELDS_FIELDSATTACH_TYPE'); ?></th>
      <th><?php echo JText::_('PLG_SYSTEM_N3TFIELDS_FIELDSATTACH_CONTEXT'); ?></th>
      <th><?php echo JText::_('PLG_SYSTEM_N3TFIELDS_FIELDSATTACH_FIELDNAME'); ?></th>
    </tr>
  </thead>
  <tfoot>
    <tr>
      <td colspan="5">
        <a href="<?php echo JRoute::_('index.php?option=com_ajax&plugin=n3tfields&group=system&convertor=fieldsattach&converttask=convert&format=json&ignoreMessages=0'); ?>" id="n3tFieldsAttachConvert" class="btn btn-primary" data-loading-text="<?php echo JText::_('PLG_SYSTEM_N3TFIELDS_FIELDSATTACH_LOADING'); ?>"><?php echo JText::_('PLG_SYSTEM_N3TFIELDS_FIELDSATTACH_CONVERT'); ?></a>
        <a href="<?php echo JRoute::_('index.php?option=com_ajax&plugin=n3tfields&group=system&convertor=fieldsattach&converttask=preview&format=json&ignoreMessages=0'); ?>" id="n3tFieldsAttachPreview" class="btn btn-success" data-loading-text="<?php echo JText::_('PLG_SYSTEM_N3TFIELDS_FIELDSATTACH_LOADING'); ?>"><?php echo JText::_('PLG_SYSTEM_N3TFIELDS_FIELDSATTACH_PREVIEW'); ?></a>
      </td>
    </tr>
  </tfoot>
  <tbody>
    <?php
      foreach ($fields as $field) {
    ?>
      <tr>
        <td><?php echo JText::_($field->title); ?></td>
        <td><?php echo JText::_($field->group_title); ?></td>
        <td><?php echo $field->type; ?></td>
        <td><?php echo $field->context; ?></td>
        <td><input name="<?php echo $displayData['name']; ?>[<?php echo $field->id; ?>]" class="input-block-level" value="<?php echo @$value[$field->id]?>" /></td>
      </tr>
    <?php
      }
    ?>
  </tbody>
</table>
<div id="n3tFieldsAttachResults"></div>
<?php
  JFactory::getDocument()->addScriptDeclaration('
    jQuery(function($) {
      $("#n3tFieldsAttachConvert, #n3tFieldsAttachPreview").click(function(e) {
        e.preventDefault();

        var res = $("#n3tFieldsAttachResults");
        var btn = $(this);

        res.empty();
        btn.button("loading");

        $.ajax({
          type: "POST",
          url: $(e.target).attr("href"),
          data: $(e.target).parents("form").serialize(),
        }).done(function(response) {
          if (response.messages) {
            $.each(response.messages, function( type, messages ) {
              var cont = $("<div class=\"alert alert-" + type + "\"></div>");
              res.append(cont);
              $.each(messages, function( index, message ) {
                cont.append("<p>" + message + "</p>");
              });
            });
          }
          if (response.data[0].contexts) {
            $.each(response.data[0].contexts, function( context, xml ) {
              res.append("<h4>" + context + "</h4>");
              res.append($("<pre />").text(xml));
            });
          }
          if (response.data[0].languages) {
            res.append("<h4>' . JText::_('PLG_SYSTEM_N3TFIELDS_LANGUAGE_FILE') . '</h4>");
            res.append($("<pre />").text(response.data[0].languages));
          }
        }).always(function() {
          btn.button("reset");
        });
      });
    });
  ');
}